package de.intevation.flys.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.model.River;

/**
 * This interface provides a method to list the supported rivers of the artifact
 * server.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
@RemoteServiceRelativePath("rivers")
public interface RiverService extends RemoteService {

    /**
     * This method returns a list of rivers provided by the artifact server.
     *
     * @param serverUrl The url of the artifact server.
     *
     * @return a list of rivers provided by the artifact server.
     */
    public River[] list(String serverUrl);
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
